Bug 78508 - modutils for kernel-2.4.19-0.pp.15 incompatible with 2.5.4x
modutils for kernel-2.4.19-0.pp.15 incompatible with 2.5.4x
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: modutils (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-24 19:10 EST by sean
Modified: 2014-03-16 22:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-25 04:31:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2002-11-24 19:10:16 EST
Description of Problem:
With the new module loading in 2.5.4x, you need modutils-2.4.21-4. This modutils
works fine with a hand built 2.4.x, but not with the RH kernels. 

The error though is odd:

"kernel requires old insmod, but couldn't run insmod.old. No such file or
directory."

modutils-2.4.21-4 puts insmod.old in /sbin, where it is.

My machine has /boot on a separate small ext2 partition. / is on a large ext3
partition. Is the kernel looking for insmod.old somewhere else? Is the problem
that ext3 not loaded? 

I realize you're not trying to keep compatible with all development kernels, but
it would be real nice to be able to play with 2.5.x and have the rh kernel to
fall back on.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2002-11-25 12:39:11 EST
You need *entirely different* modutils, not just a new modutils. We probably
won't be looking into this until the new 2.5 module loader is actually finished.

Note You need to log in before you can comment on or make changes to this bug.